PgBeam Docs
Platform

List self-host enrollments

GET
/v1/organizations/{org_id}/self-host-enrollments

Lists an organization's self-host enrollments. Tokens are never returned.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

org_id*string

Unique organization identifier.

Match^[a-zA-Z0-9_.-]+$

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/organizations/org_abc123/self-host-enrollments"
{  "enrollments": [    {      "id": "she_01h455vb4pex5vsknk084sn02q",      "org_id": "org_abc123",      "region_label": "customer-vpc-us-east",      "description": "prod cluster",      "created_by": "string",      "created_at": "2019-08-24T14:15:22Z",      "last_seen_at": "2019-08-24T14:15:22Z",      "revoked_at": "2019-08-24T14:15:22Z"    }  ]}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}